from datetime import datetime

from sqlalchemy import ForeignKey, func
from sqlalchemy.orm import Mapped, mapped_column

from src.core.database import Base


class Success(Base):
    __tablename__ = 'successed'
    id: Mapped[int] = mapped_column(
        primary_key=True,
        autoincrement=True,
        unique=True,
    )
    user_id: Mapped[str] = mapped_column(
        ForeignKey('users.id', ondelete='CASCADE'),
    )
    chat_id: Mapped[int] = mapped_column(
        ForeignKey('tgchats.id', ondelete='CASCADE'),
    )
    created_at: Mapped[datetime] = mapped_column(
        default=datetime.utcnow,
        server_default=func.now()
    )