from sqlalchemy import insert
from sqlalchemy.ext.asyncio import AsyncSession

from src.core.workers.schemas import ResponseFromGeminiSchema
from src.core.database.successes import Success


async def bulk_create_success_reasons(
        session: AsyncSession,
        success_schema: ResponseFromGeminiSchema,
) -> None:
    stmt = (
        insert(
            Success
        )
        .values(
            [chat.model_dump for chat in success_schema.success]
        )
    )
    await session.execute(stmt)
    await session.commit()
